<?php
/*
* 项目: iOrange(橘子)
* 作者: 离家出走(yzxh24)
* Email: yzxh24@gmail.com
* 主页: www.iorange.cc
*/
/* vim: set ts=4 sw=4: */
class LiteAction extends ForumAction
{
    public function run()
    {
        if (!IS_MANAGE && !IS_DEPUTY)
        {
            $this->NoPermission();
        }
        
        $cid = S::gp('cid','G',2);
        $post = BookPost::single()->getOne($cid, $this->id());
        $merge = $this->getMerge();
        
        $this->getController()->render('lite',array(
                'bookid' => $this->id(),
                'cid' => $cid,
                'post' => $post,
                'merge' => $merge,
            )
        );
    }
}